import sys
from PyQt5 import QtCore, QtWidgets
import numpy as np
import pyqtgraph as pg


def l_map(k, x):
    return k * x * (1 - x)


X = []
K = []


def calculate(nop=100):
    r_range = np.linspace(3, 4, int(1/0.0001))
    for k in range(1, int(1/0.0001)*4):
        k = k / int(1/0.0001)
        x = 0.2
        for i in range(nop + 10 + 1):
            if i >= nop:
                X.append(x)
                K.append(k)
            x = l_map(k, x)


class MainWindow(QtWidgets.QMainWindow):

    def __init__(self, *args, **kwargs):
        super(MainWindow, self).__init__(*args, **kwargs)

        self.graphWidget = pg.PlotWidget()
        self.setCentralWidget(self.graphWidget)

        self.graphWidget.setLabel('left', "<span style=\"color:blue;font-size:20px\">x</span>")
        self.graphWidget.setLabel('bottom', "<span style=\"color:blue;font-size:20px\">k</span>")

        pen = pg.mkPen(color=(255, 0, 0), width=1)
        self.graphWidget.plot(K, X)


def main():
    calculate()
    app = QtWidgets.QApplication(sys.argv)
    w = MainWindow()
    w.show()
    sys.exit(app.exec_())


if __name__ == '__main__':
    main()
