from PyQt5 import QtWidgets
import pyqtgraph as pg
import sys

r = []

for i in range(0, 102):
    r.append(i/10)

k = 1.2

xn = [0.5]


def calculate(k):
    x = 10.0
    for a in r:
        while x > 0:
            xn.append(k*xn[-1]*(1-xn[-1]))
            x = x - 0.1


class MainWindow(QtWidgets.QMainWindow):

    def __init__(self, *args, **kwargs):
        super(MainWindow, self).__init__(*args, **kwargs)

        self.graphWidget = pg.PlotWidget()
        self.setCentralWidget(self.graphWidget)

        self.graphWidget.setTitle("k = "+str(k), color="#bb7722", size="25pt")
        self.graphWidget.setLabel('left', "<span style=\"color:red;font-size:20px\">x</span>")
        self.graphWidget.setLabel('bottom', "<span style=\"color:red;font-size:20px\">n</span>")
        pen = pg.mkPen(color=(255, 255, 255), width=2)
        self.graphWidget.plot(r, xn, pen=pen)


def main():
    calculate(k)
    app = QtWidgets.QApplication(sys.argv)
    w = MainWindow()
    w.show()
    sys.exit(app.exec_())


if __name__ == '__main__':
    main()
